<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{EB0A0671-932D-4899-9904-9114A85F0907}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>WayneChina_IcCardReader_SinoChem</RootNamespace>
    <AssemblyName>WayneChina_IcCardReader_SinoChem</AssemblyName>
    <TargetFrameworkVersion>v4.6.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="log4net, Version=2.0.8.0, Culture=neutral, PublicKeyToken=669e0ddf0bb1aa2a, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\log4net.2.0.8\lib\net45-full\log4net.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Handler.cs" />
    <Compile Include="MessageEntity\IcCardReaderMessageBase.cs" />
    <Compile Include="MessageEntity\Incoming\ACK.cs" />
    <Compile Include="MessageEntity\Incoming\CardReaderStateEvent.cs" />
    <Compile Include="MessageEntity\Incoming\SignDataResponse.cs" />
    <Compile Include="MessageEntity\Outgoing\CloseCardReaderRequest.cs" />
    <Compile Include="MessageEntity\Outgoing\ResetToIdleRequest.cs" />
    <Compile Include="MessageEntity\Outgoing\SignDataRequest.cs" />
    <Compile Include="MessageEntity\Outgoing\StartFuelPresetProcessRequest.cs" />
    <Compile Include="MessageEntity\Outgoing\DisplayRequest.cs" />
    <Compile Include="MessageEntity\Outgoing\OpenCardReaderRequest.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="StateMachineMessageCutter.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\..\Communicator\Communicator.csproj">
      <Project>{56E04D4B-22F1-4061-9C28-FBDFDC660DDF}</Project>
      <Name>Communicator</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\DeviceModule\DeviceProcessor.csproj">
      <Project>{BC1C9331-3515-4630-9602-762FFDB3AC19}</Project>
      <Name>DeviceProcessor</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\Extension\Fdc\FDCPOSLibrary\FDCPOSLibrary.csproj">
      <Project>{1E4C2E06-F275-42D5-925B-7F9D90A86296}</Project>
      <Name>FDCPOSLibrary</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\Parser\Parser\Parser.csproj">
      <Project>{C34DA2D0-D179-4DDF-B451-564538BE64EB}</Project>
      <Name>Parser</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>